org.apache.ignite.internal.processors.igfs

## Class IgfsNodePredicate

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsNodePredicate

All Implemented Interfaces:
  Serializable, Binarylizable, IgnitePredicate<ClusterNode>

    public class IgfsNodePredicate
    extends Object
    implements IgnitePredicate<ClusterNode>, Binarylizable

IGFS node predicate.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsNodePredicate()` Default constructor.
`IgfsNodePredicate(String igfsName)` Constructor.

### Method Summary

Methods
`boolean` `apply(ClusterNode node)` Predicate body.
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsNodePredicate

    public IgfsNodePredicate()

Default constructor.

#### IgfsNodePredicate

    public IgfsNodePredicate(@Nullable
                     String igfsName)

Constructor.

Parameters:
  `igfsName` - IGFS name.

### Method Detail

#### apply

    public boolean apply(ClusterNode node)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<ClusterNode>`
Parameters:
  `node` - Predicate parameter.
Returns:
  Return value.

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017